# m3e/bottom_sheet_trigger

BottomSheetTrigger is an element, nested within a clickable element, used to trigger a bottom sheet.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## BottomSheetTrigger

opaque </>

BottomSheetTrigger is a View Model for this component

## Fields:

- detent: The zero‑based index of the detent the sheet should open to.
- secondary: Marks this trigger as a secondary trigger for accessibility. Secondary triggers do not receive ARIA ownership.
- for: The identifier of the interactive control to which this element is attached.

    pub opaque type BottomSheetTrigger

## Config

</>

Config is a public record for configuring this component.

    pub type Config {
      Config(
        detent: option.Option(Float),
        secondary: Secondary,
        for: option.Option(String),
      )
    }

### Constructors

-     Config(
        detent: option.Option(Float),
        secondary: Secondary,
        for: option.Option(String),
      )

## Secondary

</>

Secondary is marks this trigger as a secondary trigger for accessibility. Secondary triggers do not receive ARIA ownership.

    pub type Secondary {
      IsSecondary
      IsNotSecondary
    }

### Constructors

-     IsSecondary

-     IsNotSecondary

# Values

## default_config

</>

    pub fn default_config() -> Config

default_config is the default configuration for this component.

## default_detent

</>

    pub const default_detent: option.Option(Float)

## default_for

</>

    pub const default_for: option.Option(String)

## default_secondary

</>

    pub const default_secondary: Secondary

## detent

</>

    pub fn detent(
      record: BottomSheetTrigger,
      detent: option.Option(Float),
    ) -> BottomSheetTrigger

detent sets the value of detent for this BottomSheetTrigger.

## for

</>

    pub fn for(
      record: BottomSheetTrigger,
      for: option.Option(String),
    ) -> BottomSheetTrigger

for sets the value of for for this BottomSheetTrigger.

## from_config

</>

    pub fn from_config(config: Config) -> BottomSheetTrigger

from_config creates a new BottomSheetTrigger from the given configuration.

## new

</>

    pub fn new() -> BottomSheetTrigger

new creates a new BottomSheetTrigger with the default configuration.

## render

</>

    pub fn render(
      model: BottomSheetTrigger,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a BottomSheetTrigger

## render_config

</>

    pub fn render_config(
      c: Config,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render_config creates a Lustre Element from a BottomSheetTrigger Config

## secondary

</>

    pub fn secondary(
      record: BottomSheetTrigger,
      secondary: Secondary,
    ) -> BottomSheetTrigger

secondary sets the value of secondary for this BottomSheetTrigger.

✨